goLinuxSMS - goWinSMS
Utilities
Score 79%
Description:

Software based on contact's archive for sending SMS (short message system) versus italian vodafone phones and others (with virgilio/tin ADSL account).
Based on engineSMS, shared library for linux and win, to create own several programs with the most popular languages such as C,C++,php,ASP,python etc...
Contains API for simply requests similar to software's implementation above .
Last changelog:

12 years ago

If you are an american or canadian user with a Nokia C7/N8 you can download for free TheCommuter
(http://qt-apps.org/content/show.php/TheCommuter+-+FREE+for+American+N8+%26+C7!?content=139960)

Virgilio ADSL is not supported more.
Vodafone also is not supported.

Using engineSMS.so/dll is possible to create owner SMS sender ADLS based service and than modify your goLinuxSMS/goWinSMS which are open.

New web-site link is added.

bitcrazy

6 years ago

This app is ages old, as everybody can see and still uses QT3. So what is the point? No changes in licensing and old version of toolkit. QT4 version and source of the library, that would be news.

m0nk

Report

soulrebel

11 years ago

you seem to just don't care. in this case you and every user of your software is knowingly infringing the GNU GPL.

i will report this.

Report

C

AlterX

11 years ago

I have gentoo linux with kde (QT library) on my laptop and for my nvidia graohic device I use a nvidia driver which is closed. So is KDE and nvidia closed driver incompatible?!?!
I don't think...

Report

soulrebel

11 years ago

kde and the nvidia driver are not linked together your program is.

read the gpl, man!

you cannot link with not-gpl-compatible code! it is as easy as that.

if you dont know than dont use the gpl.

Report

C

AlterX

11 years ago

Uhm....are you sure!?
And than libGL.so (closed nvidia) how is used within Xorg and kde?!?
Than if it is so, I just convert linked library with dinamically linked?!?

Report

C

AlterX

11 years ago

QT (or gnome) and nvidia closed driver are linked togheter...
Please see nvidia-settings tools (which is in QT or gnome), that use libGL.so (closed library)!

Report

soulrebel

11 years ago

nvidia-settings doesnt link with libGL.so, the xserver does, thats right, but the xserver is not licensed under the GPL, it is licensed under the X11-license which is not copyleft. also note that you can buy not-gpl-licenses of qt that allow non-free-linking or complete unfree works (like google-earth, the opera-browser a.s.o.)

i am absolutely 100% sure that you may never distribute a GPLed work that links (dynamically or statically) to gpl-incomptible libraries.

when two works are linked together they form one derived work. the terms of the gpl clearly state that derived works must be 100% gpl-compatible.

but really, why dont you just opensource it, if your are the copyright holder?

Report

C

AlterX

11 years ago

I think that i'll do it...little time to review code and than I release source code for gpl compatibility.
Bye

Report

soulrebel

11 years ago

just out of curiosity:
you know that the gpl does not allow bundling with gpl-incompatible libraries?
even if you dont mingle the code, you must not link with non-gpl libraries if they arent system libraries (i.e. you may link against a closed source c-library but not against a module or other library). it explicitly states that anything you distribute with the free program must also be free.
QUOTE:
For an executable work, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the executable.
However, as a special exception, the source code distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.


so please release the source for the smslibrary or chose a different license.

Report

soulrebel

11 years ago

i have just seen that you already talked about this.
the previous poster is wrong though:
your library does definitely not fall under the "system-library-exception".
you would have to add a special extension to your license code, as described on the faq.
then again because the resulting license is less free than the regular gpl, this will render it incompatible with other gpl-code!
since it is incompatible with the gpl it cannot be used with qt.

but since you are the author, why dont you just opensource it?

Report

kreen

11 years ago

Hi,
I can't build the program with kdevelop because a lack of headers...
OneShot.h and QTimerThread.h

Ciao.

Igor

Report

C

AlterX

11 years ago

Please contact through email

Ciao

Report

felipe

11 years ago

awful old school gui :-)

Report

C

AlterX

11 years ago

What do you saying?!?

P.S. che cosa significa?!? ti stupisce che sono un programmatore della vecchia scuola?!?

Report

ramiel

10 years ago

No,si stupisce che tu abbia fatto un'interfaccia grafica vecchia maniera e la ritiene orribile...ma i tuoi gusti sono i tuoi,fai quello che credo anche se mi va di consigliarti di usare le librerie qt4

Report

gohanz

12 years ago

A Slackware 10.2 TGZ Package is ready to download!!!

http://www.slacky.it


http://www.slacky.it/index.php?option=com_remository&Itemid=29&func=fileinfo&filecatid=699&parent=category

Report

poisoned

12 years ago

You can't link you GPL program against a proprietary library. You have to change the licence. But then you aren't allowed to use the GPL version of QT.

Report

C

AlterX

12 years ago

I don't know this!
But library was developed from me, and is free...
where is violation?!?

Report

poisoned

12 years ago

there -> library engineSMS is freeware, but closed.

Report

C

AlterX

12 years ago

Ok, but it's mine!
software is in GPL license with source;
I don't think there is illegality linking free library!
However, if it is, what license I would use to avoid this?!?

Thanks

Report

mabs

12 years ago

No it is not illegal, you can link you're GPL program against non-free libraries.
http://www.gnu.org/licenses/gpl-faq.html#TOCWindowsRuntimeAndGPL

But you can not do the other way around, link a non-free/closed source program/library against a GPLed one.

Report

gohanz

12 years ago

There is no INSTALL instruction in source.
But i write
qmake and make, but this is the output of compiler, on my Slackware 10.2.
root@argo:~/Desktop/gosms/goSMS-1.0-source# qmake
root@argo:~/Desktop/gosms/goSMS-1.0-source# make
cd src && make -f Makefile
make[1]: Entering directory `/root/Desktop/gosms/goSMS-1.0-source/src'
make[1]: *** No rule to make target `/usr/share/qt3/mkspecs/default/qmake.conf', needed by `Makefile'. Stop.
make[1]: Leaving directory `/root/Desktop/gosms/goSMS-1.0-source/src'
make: *** [sub-src] Error 2

Report

C

AlterX

12 years ago

You have to modify your path to correct QTDIR pointer...
You'll do this for mkspecs too and so on.

Report

gohanz

12 years ago

My Qt path is good.It's the standard on the Slackware 10.2
/usr/lib/qt/mkspecs/default/qmake.conf

but the output of the compiler give


/usr/lib/qt3/mkspecs/default/qmake.conf

Sono Italiano anch'io :) gohanz@infinito.it se puoi darmi una dritta!!


Report

C

AlterX

12 years ago

Like i've promised...bye ;)

Report

12 years ago

If you are an american or canadian user with a Nokia C7/N8 you can download for free TheCommuter
(http://qt-apps.org/content/show.php/TheCommuter+-+FREE+for+American+N8+%26+C7!?content=139960)

Virgilio ADSL is not supported more.
Vodafone also is not supported.

Using engineSMS.so/dll is possible to create owner SMS sender ADLS based service and than modify your goLinuxSMS/goWinSMS which are open.

New web-site link is added.

File (click to download) Version Description Filetype Packagetype License Downloads Date Filesize OCS-Install DL
Details
version
2.0
updated Jun 01 2011
added Oct 18 2005
downloads today
0
page views today 4